Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -49,4 +50,5 @@
   /// </list>
   /// </remarks>
+  [StorableType("2ccf7092-0ec9-4093-8276-8ffba1fa5c6e")]
   public interface IMultiObjectiveOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents a selection operator for selecting solutions of multi-objective optimization problems.
   /// </summary>
+  [StorableType("cfe060a4-16bf-41d0-bcc6-e5c97ec9a721")]
   public interface IMultiObjectiveSelector : ISelector, IMultiObjectiveOperator {
     ILookupParameter<BoolArray> MaximizationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// Interface to represent optimizers such as algorithms, batch runs, or experiments.
   /// </summary>
+  [StorableType("35bd175f-5f06-456b-9ebb-d503c1b4ce64")]
   public interface IOptimizer : INamedItem, IExecutable {
     RunCollection Runs { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// Interface to represent an operator that generates a particle. 
   /// </summary>
+  [StorableType("4c186817-52be-471b-998f-e5496502a53c")]
   public interface IParticleCreator : ISolutionCreator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// Interface to represent an operator that updates a particle 
   /// </summary>
+  [StorableType("f51b7f00-2676-4201-8770-14ba2d0df782")]
   public interface IParticleUpdater : IOperator {
     ILookupParameter<DoubleValue> InertiaParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for path relinking.
   /// </summary>
+  [StorableType("99fe1fdf-f5af-47d4-abb8-b9d888ac7a6b")]
   public interface IPathRelinker : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -28,4 +29,5 @@
   /// Interface to represent an optimization problem.
   /// </summary>
+  [StorableType("c01ab84d-bc43-491a-84f2-c2c12506df41")]
   public interface IProblem : IParameterizedNamedItem {
     IEnumerable<IItem> Operators { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2ed52079-8b10-4388-92e0-a1ede7514839")]
   public interface IQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents a reduction opertor.
   /// </summary>
+  [StorableType("f4e05351-10f4-4457-81a7-443dcd6e82af")]
   public interface IReducer : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// Replacers are merging a remaining and a selected branch in several special ways.
   /// </summary>
+  [StorableType("2a1f65b0-d19f-4f48-a8d4-23cb6a58e03f")]
   public interface IReplacer : IOperator {
     IValueLookupParameter<ISelector> ReplacedSelectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 14929)
@@ -24,4 +24,5 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -29,4 +30,5 @@
   /// Represents the parameters and results of an algorithm run.
   /// </summary>
+  [StorableType("af79d3ea-3411-48d7-ba1e-d23965541fbe")]
   public interface IRun : INamedItem, INotifyPropertyChanged {
     IAlgorithm Algorithm { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 14929)
@@ -25,6 +25,8 @@
 using System.Text;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("b9687deb-be58-495a-9536-0436ae5d01c3")]
   public interface IRunCollectionModifier : IItem {
     void Modify(List<IRun> runs);
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for manipulating solutions, given a strategy parameter.
   /// </summary>
+  [StorableType("45feb4f8-bb17-4246-be58-f0ad56d605c1")]
   public interface ISelfAdaptiveManipulator : IManipulator {
     Type StrategyParameterType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9bc5d351-10a0-4685-bb33-f4cc0c7f50bd")]
   public interface ISimilarityBasedOperator : IOperator {
     IConstrainedValueParameter<ISolutionSimilarityCalculator> SimilarityCalculatorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("1f1212fa-513c-44de-bca9-52c7a19fa7b2")]
   public interface ISingleMoveGenerator : IMoveGenerator, ISingleObjectiveOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents an evaluation operator for single-objective optimization problems.
   /// </summary>
+  [StorableType("ad4f4999-5c2a-47e4-8910-8759df9d57db")]
   public interface ISingleObjectiveEvaluator : IEvaluator, ISingleObjectiveOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface to represent a single-objective optimization problem.
   /// </summary>
+  [StorableType("2801655b-53e5-4912-ba20-33b089910097")]
   public interface ISingleObjectiveHeuristicOptimizationProblem : IHeuristicOptimizationProblem {
     IParameter MaximizationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for improvement of a single objective solution.
   /// </summary>
+  [StorableType("7ab0a1d5-886f-4393-8a9f-44c9c1d89a7c")]
   public interface ISingleObjectiveImprovementOperator : IImprovementOperator, ISingleObjectiveOperator {
     IValueLookupParameter<IItem> SolutionParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e1a57849-58fd-4527-ab96-c05392d915a9")]
   public interface ISingleObjectiveMoveEvaluator : IOperator, ISingleObjectiveOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for path relinking between single objective solutions.
   /// </summary>
+  [StorableType("0a200ac0-97e7-47c6-9ed5-475a551d00c0")]
   public interface ISingleObjectivePathRelinker : IPathRelinker, ISingleObjectiveOperator {
     ILookupParameter<ItemArray<IItem>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents a replacement operator for replacing solutions of single-objective optimization problems.
   /// </summary>
+  [StorableType("f1dd61d2-3453-46c3-8dd1-b5c5547b3ab9")]
   public interface ISingleObjectiveReplacer : IReplacer, ISingleObjectiveOperator {
     IValueLookupParameter<BoolValue> MaximizationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -30,4 +31,5 @@
   /// </summary>
   [Obsolete("use HeuristicLab.Optimization.ISolutionSimilarityCalculator instead")]
+  [StorableType("e78532b7-5857-4ba5-a685-0de24b60856d")]
   public interface ISingleObjectiveSolutionSimilarityCalculator : ISolutionSimilarityCalculator, ISingleObjectiveOperator {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator for creating new solutions.
   /// </summary>
+  [StorableType("67c84a2a-d95d-4482-870e-54b683a8fd12")]
   public interface ISolutionCreator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for similarity calculation.
   /// </summary>
+  [StorableType("a27e1fc8-ddaf-4e76-bc27-56341df7c83f")]
   public interface ISolutionSimilarityCalculator : IItem, IEqualityComparer<IScope> {
     string SolutionVariableName { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -26,4 +27,5 @@
   /// An interface which represents a stochastic operator.
   /// </summary>
+  [StorableType("02e70a5e-4402-43d6-8a56-7500c5bfaf54")]
   public interface IStochasticOperator : IOperator {
     ILookupParameter<IRandom> RandomParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d3d50df5-24a4-45af-950e-8b8bbeb66c89")]
   public interface IStrategyParameterCreator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f580b43d-ed0e-4a8f-a0ab-d74bdfcdf69d")]
   public interface IStrategyParameterCrossover : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("eed6b61f-6cd8-4a82-8681-3d725699e8dc")]
   public interface IStrategyParameterManipulator : IOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("6d7f897b-7010-4390-b3c8-b17fa561dca1")]
   public interface ISubScopesQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("0689506f-0b86-4994-9a16-37527818dc3d")]
   public interface ISwarmUpdater : IOperator {
     IScopeTreeLookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d7103d08-3047-479e-ad35-a23b96894ca8")]
   public interface ITabuChecker : IOperator {
     ILookupParameter<BoolValue> MoveTabuParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("a6e95f09-904b-4973-9730-c5d122c60cc6")]
   public interface ITabuMaker : IOperator {
     ILookupParameter<DoubleValue> MoveQualityParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminationBasedOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("1a6cdfe4-bdb4-430b-bb68-adb0df124f57")]
   public interface ITerminationBasedOperator : IOperator {
     ILookupParameter<BoolValue> TerminateParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITerminator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -24,4 +25,5 @@
   /// An interface which represents an operator for checking a termination criterion.
   /// </summary>
+  [StorableType("bedd275d-9be3-4979-a70e-acdbe19a150d")]
   public interface ITerminator : ITerminationBasedOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyInitializer.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("1ff66862-94a9-4fbd-9f3a-64e249d9e4e3")]
   public interface ITopologyInitializer : IOperator {
     IScopeTreeLookupParameter<IntArray> NeighborsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITopologyUpdater.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f8d3a112-973a-4252-b050-4f49b4283eeb")]
   public interface ITopologyUpdater : IOperator {
     IScopeTreeLookupParameter<IntArray> NeighborsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 14929)
@@ -30,4 +30,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("518a39b1-bc8f-4321-a62c-cf86f7baa0a6")]
   internal enum BatchRunAction { None, Prepare, Start, Pause, Stop };
 
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResult.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResult.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResult.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
@@ -27,4 +28,5 @@
   /// Represents a result which has a name and a data type and holds an IItem.
   /// </summary>
+  [StorableType("1e913d8d-3707-408d-9e07-7700adf9a5e3")]
   public interface IResult : INamedItem {
     Type DataType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/Results/IResultParameter.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("be43ab46-35b1-4ea6-bb2f-3f21d9454646")]
   public interface IResultParameter : ILookupParameter {
     string ResultCollectionName { get; set; }
@@ -29,4 +31,5 @@
   }
 
+  [StorableType("9bb891a8-a153-42c0-a21c-f3a8cf5af390")]
   public interface IResultParameter<T> : ILookupParameter<T>, IResultParameter where T : class, IItem {
     T DefaultValue { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Optimization/3.3/RunCollectionConstraints/IRunCollectionConstraint.cs	(revision 14929)
@@ -22,10 +22,13 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("5a1ee5d0-b8aa-4df3-bd70-7b67130e52be")]
   public interface IRunCollectionConstraint : IConstraint {
     new RunCollection ConstrainedValue { get; set; }
   }
 
+  [StorableType("b9d8fb77-48dc-4e71-94d0-ef017d1d6c95")]
   public interface IRunCollectionColumnConstraint : IRunCollectionConstraint {
     string ConstraintColumn { get; set; }
